summaryrefslogtreecommitdiffstats
path: root/scripts/apatch.in
diff options
context:
space:
mode:
authorMartin Quinson <mquinson@debian.org>2003-02-14 13:18:11 +0000
committerMartin Quinson <mquinson@debian.org>2003-02-14 13:18:11 +0000
commit79a014a2ea88e84ab0f494efcf7a11b92c4bc6af (patch)
tree67323a104667a1767d61e2412c6ea5a6353ae6d2 /scripts/apatch.in
parentb324e11dcfa120a1cf5827c0c5a96ef28a7743cf (diff)
downloadquilt-79a014a2ea88e84ab0f494efcf7a11b92c4bc6af.tar.gz
Implement i18n, french l10n and bump version number
Diffstat (limited to 'scripts/apatch.in')
-rwxr-xr-xscripts/apatch.in20
1 files changed, 10 insertions, 10 deletions
diff --git a/scripts/apatch.in b/scripts/apatch.in
index 3292e82..e9ea659 100755
--- a/scripts/apatch.in
+++ b/scripts/apatch.in
@@ -19,7 +19,7 @@ fi
usage()
{
- echo "Usage: $0 [-fqv] patchname"
+ echo $"Usage: $0 [-fqv] patchname"
exit 1
}
@@ -37,7 +37,7 @@ rollback_patch()
interrupt()
{
rollback_patch $1
- echo "Interrupted by user; patch $patch was not applied."
+ echo $"Interrupted by user; patch $patch was not applied."
exit 1
}
@@ -48,7 +48,7 @@ apply_patch()
if ! [ -s $patch_file ]
then
- echo "Patch file $patch_file appears to be empty"
+ echo $"Patch file $patch_file appears to be empty"
return 0
fi
@@ -77,14 +77,14 @@ apatch()
trap "" SIGINT
if ! refresh_file_list $patch
then
- echo "refresh_file_list failed"
+ echo $"refresh_file_list failed"
return 1
fi
- echo "Applying $patch"
+ echo $"Applying $patch"
if ! [ -e $pc_file ]
then
- echo "Patch $patch appears to be empty, applied"
+ echo $"Patch $patch appears to be empty, applied"
add_to_db $patch
return 0
fi
@@ -92,7 +92,7 @@ apatch()
status=$?
if [ $status -eq 2 ]
then
- [ -z "$opt_quiet" ] && echo "Recreated file list for $patch"
+ [ -z "$opt_quiet" ] && echo $"Recreated file list for $patch"
elif [ $status -ne 0 ]
then
return 1
@@ -123,11 +123,11 @@ apatch()
rm -f $pc_file~refresh
else
touch $pc_file~refresh
- echo "Applied $patch (forced; needs refresh)"
+ echo $"Applied $patch (forced; needs refresh)"
fi
else
rollback_patch $patch
- echo "Patch $patch does not apply (enforce with -f)"
+ echo $"Patch $patch does not apply (enforce with -f)"
fi
trap - SIGINT
return $status
@@ -178,7 +178,7 @@ patch=$(stripit $1)
top=$(top_patch)
if [ -n "$top" -a -e $(pc_file_name $top)~refresh ]
then
- echo "The topmost patch $top needs to be refreshed first."
+ echo $"The topmost patch $top needs to be refreshed first."
exit 1
fi